"""Remove wordle

Revision ID: 1e3e7f4192c4
Revises: 954ad804f057
Create Date: 2023-07-07 14:52:20.993687

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "1e3e7f4192c4"
down_revision = "954ad804f057"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("wordle_word")
    op.drop_table("wordle_stats")
    op.drop_table("wordle_guesses")
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "wordle_guesses",
        sa.Column("wordle_guess_id", sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column("user_id", sa.BIGINT(), autoincrement=False, nullable=True),
        sa.Column("guess", sa.TEXT(), autoincrement=False, nullable=False),
        sa.ForeignKeyConstraint(["user_id"], ["users.user_id"], name="wordle_guesses_user_id_fkey"),
        sa.PrimaryKeyConstraint("wordle_guess_id", name="wordle_guesses_pkey"),
    )
    op.create_table(
        "wordle_stats",
        sa.Column("wordle_stats_id", sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column("user_id", sa.BIGINT(), autoincrement=False, nullable=True),
        sa.Column("last_win", sa.DATE(), autoincrement=False, nullable=True),
        sa.Column("games", sa.INTEGER(), server_default=sa.text("0"), autoincrement=False, nullable=False),
        sa.Column("wins", sa.INTEGER(), server_default=sa.text("0"), autoincrement=False, nullable=False),
        sa.Column("current_streak", sa.INTEGER(), server_default=sa.text("0"), autoincrement=False, nullable=False),
        sa.Column("highest_streak", sa.INTEGER(), server_default=sa.text("0"), autoincrement=False, nullable=False),
        sa.ForeignKeyConstraint(["user_id"], ["users.user_id"], name="wordle_stats_user_id_fkey"),
        sa.PrimaryKeyConstraint("wordle_stats_id", name="wordle_stats_pkey"),
    )
    op.create_table(
        "wordle_word",
        sa.Column("word_id", sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column("word", sa.TEXT(), autoincrement=False, nullable=False),
        sa.Column("day", sa.DATE(), autoincrement=False, nullable=False),
        sa.PrimaryKeyConstraint("word_id", name="wordle_word_pkey"),
        sa.UniqueConstraint("day", name="wordle_word_day_key"),
    )
    # ### end Alembic commands ###
